Add or remove tags for hosting accounts

Manage tags associated with your hosting accounts for organization and categorization. You need to provide an 'accountId' obtained from DELETE /api/hosting-tags.

Web Hosting Services Hosting Accounts

Context

Used in the dashboard

/

Workflow links

Requires

Headers

Accept Example
Content-Type Example

Body

required
application/json
accountId string required · Example: 20000
tagName string required · Example: opti-sasa

Responses

200
data object required
data.accountId string required · Example: 20000
data.tagName string required · Example: opti-sasa
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

422
code string required · Example: VALIDATION_ERROR

Machine-readable error code.

details array<object> required · Example: [{"field":"tagName","message":"Tag name can only contain letters, numbers, spaces, hyph...

Optional validation details (field-level errors).

details[].code string required · Example: INVALID_FORMAT

Machine-readable error code.

details[].field string required · Example: tagName
details[].message string required · Example: Tag name can only contain letters, numbers, spaces, hyphens, and underscores

Human-readable message.

error string required · Example: Unprocessable Entity

HTTP status title (e.g. 'Bad Request').

message string required · Example: Validation failed

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/hosting-tags
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/hosting-tags" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "accountId": "20000",
    "tagName": "opti-sasa"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "accountId": "20000",
    "tagName": "opti-sasa"
  }
}
Request Body Example 1
{
  "accountId": "20000",
  "tagName": "opti-sasa"
}